Subject: Re: unstable 10GBE performance with recent kernels (> 3.0.X)

From: Stefan Priebe - Profihost AG <[email-masked]>
Date: Mon, 18 Jun 2012 15:07:53 +0200

Am 18.06.2012 14:51, schrieb Eric Dumazet:
 > On Mon, 2012-06-18 at 14:36 +0200, Stefan Priebe - Profihost AG wrote:
 >> Am 18.06.2012 12:25, schrieb Eric Dumazet:
 >>> I would remove all this (pretty old and obsolete) stuff and use 
standard
 >>> params.
 >> OK, thanks. done.
 >>
 >> I've one RHEL6 system (using default 2.6.32 kernel) where only using
 >> "ntuple on" results in just 4-5Gbit/s while the others using 3.5.0-rc2
 >> are working fine.
 >>
 >
 > OK, then you might play with affinities, that's the only thing that
 > might need sysadmin tuning (irqbalance needs to be disabled)

I've now used this one:

# script provided by intel
/root/set_irq_affinity.sh eth2
ifconfig eth2 mtu 9000
ethtool -K eth2 ntuple on

irqbalance is off

But with the latest long term stable vanilla kernel 3.0.34.

# iperf -c HOST -t 60

works fine but with -d for using both directions i see around 9.8Gbit/s 
in one direction and only 300kb/s in the other direction.

Stefan